Candidates
Create candidate note
Appends a note to a candidate for the authenticated company.
This creates a candidate_activities row with type = note_added.
POST
/
api
/
v1
/
candidates
/
{id}
/
notes
Create candidate note
curl --request POST \
--url https://app.outhire.ai/api/v1/candidates/{id}/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note": "Referred by internal team."
}
'import requests
url = "https://app.outhire.ai/api/v1/candidates/{id}/notes"
payload = { "note": "Referred by internal team." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({note: 'Referred by internal team.'})
};
fetch('https://app.outhire.ai/api/v1/candidates/{id}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 162,
"candidate_id": 419,
"type": "note_added",
"note": "Referred by internal team.",
"note_preview": "Referred by internal team.",
"performer_id": null,
"added_by": "api",
"created_at": "2026-03-11T10:21:54.553198Z"
}
}{
"error": {
"code": "validation_error",
"message": "Request validation failed.",
"details": [
{
"field": "email",
"message": "Invalid email"
}
]
}
}{
"error": {
"code": "unauthorized",
"message": "Missing or invalid API key."
}
}{
"error": {
"code": "validation_error",
"message": "Request validation failed.",
"details": [
{
"field": "email",
"message": "Invalid email"
}
]
}
}{
"error": {
"code": "validation_error",
"message": "Request validation failed.",
"details": [
{
"field": "email",
"message": "Invalid email"
}
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Numeric candidate id.
Body
application/json
Request body for appending a candidate note.
Full note body after trimming.
Required string length:
1 - 2000Example:
"Referred by internal team."
Response
Candidate note created
Wrapper for a single candidate note resource.
Candidate note backed by a candidate_activities row.
Show child attributes
Show child attributes
Example:
{
"id": 162,
"candidate_id": 419,
"type": "note_added",
"note": "Referred by internal team.",
"note_preview": "Referred by internal team.",
"performer_id": null,
"added_by": "api",
"created_at": "2026-03-11T10:21:54.553198Z"
}⌘I
Create candidate note
